  <!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <title>RegistrationForm_v1 by Colorlib</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />

    <!-- MATERIAL DESIGN ICONIC FONT -->
    <link
      rel="stylesheet"
      href="/fonts/material-design-iconic-font/css/material-design-iconic-font.css"
    />

    <!-- jquery -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>

    <!-- STYLE CSS -->
    <link rel="stylesheet" href="/stylesheets/register-style.css" />
    <link href="/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <%include ./../partial/navigation%>
  </head>
 
  

  <body style="padding-top: 50px;">
    
   
<% include ./../partial/messages%>


    <div
      class="wrapper"
      style="background-image: url('/images/e-commerce-representational.jpeg');"
    >
      <div class="inner">
        <div class="image-holder">
          <img src="/images/shopping-nepal.jpeg" alt="" height="450px" width="1000px"/>
        </div>
        <form action="/user/createUser" method='post'>
          <h3>Registration Form</h3>
          <div class="form-group">
              <input type="text" placeholder="First Name" name="firstName" class="form-control" value="<%=(typeof data)!= 'undefined' ? data.firstName :''%>" required/>
            <input type="text" placeholder="Last Name" name="lastName" class="form-control"value="<%=(typeof data)!= 'undefined' ? data.lastName :''%>" required/>
          </div>
          <div class="form-wrapper">
            <input type="text" placeholder="Username" name="userName" class="form-control"
            value="<%=(typeof data)!= 'undefined' ? data.userName :''%>" required/>
            <i class="zmdi zmdi-account"></i>
          </div>
          <div class="form-wrapper">
            <input
              type="text"
              placeholder="Email Address"
              class="form-control"
              name="emailAddress"
               required/>
            <i class="zmdi zmdi-email"></i>
          </div>
          <div class="form-wrapper">
            <input type="radio" name="gender" value="male" required/> Male<br>
            <input type="radio" name="gender" value="female"required/> Female<br>
            <input type="radio" name="gender" value="other"required/> Other<br>
            <i class="zmdi zmdi-caret-down" style="font-size: 17px"></i>
          </div>
          <div class="form-wrapper">
            <select name="rolePicker"  class="form-control">
              <option value="" disabled selected>Role</option>
              <option name="Super Admin" value="Super Admin">Super Admin</option>
              <option name="Admin" value="Admin">Admin</option>
              <option name="User" value="User">User</option>
            </select>
            <i class="zmdi zmdi-caret-down" style="font-size: 17px"></i>
          </div>
          <div class="form-wrapper">
            <input
              type="password"
              placeholder="Password"
              class="form-control"
              name="password"
              required/>
            <i class="zmdi zmdi-lock"></i>
          </div>
          <div class="form-wrapper">
            <input
              type="password"
              placeholder="Confirm Password"
              class="form-control"
              name="confirmPassword"
              required/>
            <i class="zmdi zmdi-lock"></i>
          </div>
          <button>
            Register
            <i class="zmdi zmdi-arrow-right"></i>
          </button>
        </form>
      </div>
    </div>
  </body>
  <!-- This templates was made by Colorlib (https://colorlib.com) -->
</html>
